com.google.gwt.user.cellview.client

## Class ColumnSortEvent.AsyncHandler

- java.lang.Object
- - com.google.gwt.user.cellview.client.ColumnSortEvent.AsyncHandler

All Implemented Interfaces:
  EventHandler, ColumnSortEvent.Handler

Enclosing class:
  ColumnSortEvent

    public static class ColumnSortEvent.AsyncHandler
    extends java.lang.Object
    implements ColumnSortEvent.Handler

A default handler used with views attached to asynchronous data providers such as `AsyncDataProvider`. This handler calls `HasData.setVisibleRangeAndClearData(com.google.gwt.view.client.Range, boolean)`, which clears the current data and triggers the data provider's range change handler.

### Constructor Summary

Constructors
Constructor and Description
`AsyncHandler(HasData<?> hasData)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `onColumnSort(ColumnSortEvent event)` Called when `ColumnSortEvent` is fired.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AsyncHandler

    public AsyncHandler(HasData<?> hasData)

### Method Detail

#### onColumnSort

    public void onColumnSort(ColumnSortEvent event)

Description copied from interface: `ColumnSortEvent.Handler`
Called when `ColumnSortEvent` is fired.

Specified by:
  `onColumnSort` in interface `ColumnSortEvent.Handler`
Parameters:
  `event` - the `ColumnSortEvent` that was fired